Bug 106066 - Audiocd help not installed
Summary: Audiocd help not installed
Status: RESOLVED FIXED
Alias: None
Product: docs.kde.org
Classification: Websites
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: HI normal (vote)
Target Milestone: ---
Assignee: Lauri Watts
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-21 15:45 UTC by Thomas McGuire
Modified: 2008-11-12 20:53 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas McGuire 2005-05-21 15:45:17 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

Currently, the kio_audiocd help does not show up in help center.
I think renaming kdemultimedia/doc/kio_audiocd to kdemultimedia/doc/kioslave should solve that, but I have not tested it myself.
All kioslave help files are installed in $KDEDIR/share/doc/HTML/??/kioslave, but the audiocd ioslave has its own directory ($KDEDIR/share/doc/HTML/??/kio_audiocd).
Comment 1 Nicolas Goutte 2005-05-21 16:17:01 UTC
You could also check and adapt the help path (DocPath) defined in the .protocol file instead of moving the documentation. (Assuming that the documentation is installed at the right place.)

Have a nice day!
Comment 2 Thomas McGuire 2005-07-08 08:15:27 UTC
To anybody who has SVN access: Please rename this folder now so the issue can be resolved!
Comment 3 Thiago Macieira 2005-07-08 13:23:17 UTC
SVN commit 432745 by thiago:

Renaming the directory. This looks like the proper solution and
is in line with other kioslaves' documentation files. The docbook
should now get installed in $KDEDIR/share/doc/HTML/en/kioslave
(which is what DocPath points to anyways).

BUG:106066


 D             kio_audiocd (directory)  
 A             kioslave (directory)   kio_audiocd#432743
Comment 4 Christopher Martin 2005-07-22 06:26:50 UTC
With KDE 3.4.1, I made this directory move (kio_audiocd --> kioslave), regenerated the build files, and rebuilt kdemultimedia. audiocd.docbook was installed in the proper kioslave directory, but it was still not accessible from the KInfoCenter, or the KHelpCenter.

So either I've missed something, or this isn't the complete fix.

Thanks for any help,
Christopher Martin
Comment 5 icefox 2005-07-25 10:00:05 UTC
I also don't see it.  I am re-opening it till I can figure out what is wrong.
Comment 6 Tobi Vollebregt 2005-08-19 11:48:42 UTC
I'm working on kio_locate, and I've sort of the same problem as kio_audiocd (though the documentation does show up for kio_locate; the doc path is set correctly).

I noticed that in the kioslave documentation directory, there's only one index.cache.bz2 for ALL kioslaves. I think meinproc must be run after installation in the kioslave directory to update / regenerate index.cache.bz2

Just my 0.02 cent though..
Comment 7 Nicolas Goutte 2005-08-19 18:13:39 UTC
On Friday 19 August 2005 11:48, Tobi Vollebregt wrote:
(...)
> I'm working on kio_locate, and I've sort of the same problem as
> kio_audiocd (though the documentation does show up for kio_locate; the doc
> path is set correctly).
>
> I noticed that in the kioslave documentation directory, there's only one
> index.cache.bz2 for ALL kioslaves.


That is an interesting observation. So according to this only the help 
generated from kdebase/doc/kioslave would work.

> I think meinproc must be run after
> installation in the kioslave directory to update / regenerate
> index.cache.bz2


That is not possible, as they are different packages. (you could not do this 
with binary packages.)

So perhaps the solution is more to offer a complete documentation for each 
kioslave. (Currently they are only "articles".)

>
> Just my 0.02 cent though..


Seems to be worth more ;-)

Have a nice day!
Comment 8 Nicolas Goutte 2005-08-19 18:18:06 UTC
It seems to be a general documentation problem, so change the product. (However I am not sure if it can be solved for KDE 3.5, if we need to change the full KIO documentation.)

Have a nice day!
Comment 9 Nicolas Goutte 2005-12-22 09:53:27 UTC
See also bug #78597
Comment 10 Philip Rodrigues 2006-06-22 15:17:21 UTC
It seems that $KDEDIR/share/doc/HTML/en/kioslave/index.docbook needs to be regenerated when new ioslaves are installed, but I can't work out what's responsible for generating the index.docbook file.
Comment 11 Burkhard Lück 2007-01-26 21:54:29 UTC
There are two ways to make the documentation and all translations visible in khelpcenter again:

1. Move audiocd.docbook back to kdebase/doc/kioslaves
Add audiocd to index.docbook
Tell the translators to move their translations also and regenerate the language docbooks too and regenerate the documentation of kioslave

audiocd is the only kioslave documentation outside kdebase and there some more kioslave documentations from other kdemodules (kdenetwork: lan, rlan; kdepim: imap, imaps, news; kdegraphics: mrml) in kdebase

2. Change audiocd.docbook from an article to a complete documentation
Adjust the DocPath in audiocd.docbook

I want to fix this bug, what is the preferred solution?
For me it is no 1, but mainly because that fix is already running in my system, no problem to commit a patch for solution no 2. 

In stable this can only be fixed in a docmessage unfreeze for 3.5.7.
Comment 12 Philip Rodrigues 2007-02-04 14:05:11 UTC
The underlying problem is the way that kioslaves are handled in khelpcenter. Ideally, we should fix that, but I think solution no 2 is a good workaround, especially since audiocd:/ is a bit more of an "end-user" tool than other kioslaves. We'll have to look into this for KDE 4.

Burkhard, can you make and commit a patch for solution no. 2? If you don't have time, I can do it.
Comment 13 Burkhard Lück 2007-02-06 13:14:30 UTC
I have changed the audiocd.docbook from an article to a complete documentation, and get it installed and meinproc generates an index.cache.bz2. But it is only accessible via help:/kio_audiocd, I try to find the right way to see it in khelpcenter->Kioslaves.
I will do it together with some more error fixes for khelpcenter:
Applet Manuals is empty, ktimemon and kolourpicker from kdeaddons are missing
Move KHexEdit from Utilities->File to Utilities->Editors
Window Behavior + Window-Specific Settings
and some other odd things in khelpcenter
 
Comment 14 Burkhard Lück 2008-11-12 20:53:31 UTC
SVN commit 883365 by lueck:

reorganize the kioslave documentation:

documentation source has to be now in modul/doc/kioslave/name_of_ioslave/index.docbook 
and has to be installed now to 
INSTALL_DESTINATION /en SUBDIR kioslave/name_of_ioslave

change the existing docs to separate index.docbooks
join bip/bzip2 into one docbook, 
same for http/https, webdav/webdavs imap/imaps pop3/pop3s

move the documentation to the moduls where the code lives:
data, file, ftp, help, http, mailto, rlogin, telnet, webdav into kdelibs
imap, ldap, nntp, pop3, smtp into kdepimlibs
news into kdepim
gopher into extragear/network
the other docs stay in kdebase/runtime and are moved inside kdebase/runtime
to doc/kioslave/name_of_ioslave/index.docbook
move the audiocd doc in kdemultimedia to doc/kioslave/audiocd/index.docbook
remove the documentation for lan, rlan mac, mrml, no ioslaves in kde4

adjust the X-DocPath entry in all ioslave protocol files according to the move of the doc

adapt kdebase/apps/kinfocenter/ioslaveinfo/kcmioslaveinfo.cpp and 
l10n-kde4/scripts/autogen.sh to the new install location

BUG:106066

 M  +2 -0      doc/CMakeLists.txt  
 A             doc/kioslave (directory)  
 A             doc/kioslave/CMakeLists.txt  
 AM            doc/kioslave/data (directory)  
 A             doc/kioslave/data/CMakeLists.txt  
 AM            doc/kioslave/data/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/data.docbook#866038
 A             doc/kioslave/file (directory)  
 AM            doc/kioslave/file/CMakeLists.txt  
 AM            doc/kioslave/file/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/file.docbook#866038
 AM            doc/kioslave/ftp (directory)  
 A             doc/kioslave/ftp/CMakeLists.txt  
 AM            doc/kioslave/ftp/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/ftp.docbook#866038
 A             doc/kioslave/help (directory)  
 AM            doc/kioslave/help/CMakeLists.txt  
 AM            doc/kioslave/help/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/help.docbook#866038
 A             doc/kioslave/http (directory)  
 AM            doc/kioslave/http/CMakeLists.txt  
 AM            doc/kioslave/http/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/http.docbook#866038
 A             doc/kioslave/mailto (directory)  
 AM            doc/kioslave/mailto/CMakeLists.txt  
 AM            doc/kioslave/mailto/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/mailto.docbook#866038
 A             doc/kioslave/rlogin (directory)  
 AM            doc/kioslave/rlogin/CMakeLists.txt  
 AM            doc/kioslave/rlogin/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/rlogin.docbook#866038
 A             doc/kioslave/telnet (directory)  
 AM            doc/kioslave/telnet/CMakeLists.txt  
 AM            doc/kioslave/telnet/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/telnet.docbook#866038
 A             doc/kioslave/webdav (directory)  
 AM            doc/kioslave/webdav/CMakeLists.txt  
 AM            doc/kioslave/webdav/index.docbook   trunk/KDE/kdebase/runtime/doc/kioslave/webdav.docbook#866038
 M  +1 -0      kdoctools/help.protocol  
 M  +1 -1      kio/data.protocol  
 M  +1 -1      kio/misc/kmailservice.protocol  
 M  +1 -1      kio/misc/rlogin.protocol  
 M  +1 -1      kio/misc/telnet.protocol  


WebSVN link: http://websvn.kde.org/?view=rev&revision=883365